Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server
Class ContainerObjectEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--oracle.jbo.server.ContainerObjectEvent

public class ContainerObjectEvent
extends java.util.EventObject

The events generated when a component is added to or removed from a `ContainerObject`.

Since:
  JDevloper 3.0
See Also:
  `ContainerObject`, `ComponentObject`, `ContainerObjectListener`, Serialized Form

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ContainerObjectEvent(ContainerObject src, ComponentObject component)` Creates a `ContainerObject` event.

Method Summary
`ComponentObject` | `getComponentObject()` Gets the event's component object.
`ContainerObject` | `getContainerObject()` Gets the event's container object.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContainerObjectEvent

    public ContainerObjectEvent(ContainerObject src,
                                ComponentObject component)

  Creates a `ContainerObject` event.
  Parameters:
    `src` - a container.
    `component` - the object being added to or removed from `src`.

Method Detail

### getContainerObject

    public ContainerObject getContainerObject()

  Gets the event's container object.
  Returns:
    a container being modified.

### getComponentObject

    public ComponentObject getComponentObject()

  Gets the event's component object.
  Returns:
    the object being added to or removed from the container.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD